org.apache.ignite.internal.pagemem.wal.record

## Enum ExchangeRecord.Type

- java.lang.Object
- - java.lang.Enum<ExchangeRecord.Type>
  - - org.apache.ignite.internal.pagemem.wal.record.ExchangeRecord.Type

All Implemented Interfaces:
  Serializable, Comparable<ExchangeRecord.Type>

Enclosing class:
  ExchangeRecord

    public static enum ExchangeRecord.Type
    extends Enum<ExchangeRecord.Type>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`JOIN` Join.
`LEFT` Left.

### Method Summary

All Methods Static Methods Concrete Methods
`static ExchangeRecord.Type` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ExchangeRecord.Type[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### JOIN

    public static final ExchangeRecord.Type JOIN

Join.

#### LEFT

    public static final ExchangeRecord.Type LEFT

Left.

### Method Detail

#### values

    public static ExchangeRecord.Type[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ExchangeRecord.Type c : ExchangeRecord.Type.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ExchangeRecord.Type valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018